Bug 10083 - In Transit string doesn't get translated in the staff interface
Summary: In Transit string doesn't get translated in the staff interface
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 15:15 UTC by Eric Bégin
Modified: 2015-06-04 23:23 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (1.69 KB, patch)
2013-04-19 18:13 UTC, Eric Bégin
Details | Diff | Splinter Review
Bug 10083 - In Transit string doesn't get translated in the staff interface (1.69 KB, patch)
2013-04-26 19:36 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10083 - In Transit string doesn't get translated in the staff interface (1.71 KB, patch)
2013-04-28 00:45 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10083 - In Transit string doesn't get translated in the staff interface (1.82 KB, patch)
2013-04-28 11:11 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 10083 [3.10.x] In Transit string doesn't get translated in the staff interface (1.61 KB, patch)
2013-05-16 13:29 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED OFF] (1.64 KB, patch)
2013-05-29 10:24 UTC, Gaetan Boisson
Details | Diff | Splinter Review
Bug 10083 [3.10.x] In Transit string doesn't get translated in the staff interface (1.70 KB, patch)
2013-05-29 11:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Bégin 2013-04-19 15:15:15 UTC
When applying a translation, the In transit string in the item status is not translated.
Comment 1 Eric Bégin 2013-04-19 15:22:42 UTC
(In reply to comment #0)
> When applying a translation, the In transit string in the item status is not
> translated.

Forgot to mentionned this problam is in the staff interface.
Comment 2 Eric Bégin 2013-04-19 18:13:56 UTC Comment hidden (obsolete)
Comment 3 Chris Cormack 2013-04-20 06:37:54 UTC
Big merge conflict, could you try rebasing it on latest master please Eric
Comment 4 Owen Leonard 2013-04-26 19:36:38 UTC Comment hidden (obsolete)
Comment 5 Chris Cormack 2013-04-28 00:45:14 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2013-04-28 11:11:26 UTC Comment hidden (obsolete)
Comment 7 Jared Camins-Esakov 2013-05-01 10:34:03 UTC
This patch has been pushed to master and 3.12.x.
Comment 8 Chris Cormack 2013-05-08 07:53:10 UTC
Doesn't apply to 3.10.x please resubmit if needed
Comment 9 Owen Leonard 2013-05-16 13:29:00 UTC Comment hidden (obsolete)
Comment 10 Gaetan Boisson 2013-05-29 10:24:20 UTC Comment hidden (obsolete)
Comment 11 Gaetan Boisson 2013-05-29 10:27:23 UTC
On a 3.10 instance, before applying the patch, the string "In transit from" is found only once in the French po file (for request.pl). After applying the patch and running updating the French po file, the string is found twice, once for request.pl and once for detail.pl.

Signed off.
Comment 12 Jonathan Druart 2013-05-29 11:17:04 UTC
QA comment:
I confirm the proposed patch works for 3.10 branch.
Marked as Passed QA.
Comment 13 Jonathan Druart 2013-05-29 11:17:24 UTC
Created attachment 18459 [details] [review]
Bug 10083 [3.10.x] In Transit string doesn't get translated in the staff interface

For some reason this text inside a <td> isn't getting picked up by the
translator unless it's inside a <span>. This patch adds the span and
tidies up the text.

To test, apply the patch and "translate update" a translation. Searching
the po file for "In transit from" should return a result from detail.pl.

Signed-off-by: Gaetan Boisson <gaetan.boisson@biblibre.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 14 Chris Cormack 2013-05-29 19:40:36 UTC
Another one for you Bernardo :)
Comment 15 Bernardo Gonzalez Kriegel 2013-05-29 23:36:11 UTC
Thanks Owen!

Pushed to 3.10.x, will be on 3.10.7
Comment 16 Chris Hall 2013-06-06 09:39:16 UTC
Pushed to 3.8.x, will be in 3.8.14
Thanks :)